Rockbox Technical Forums

Installation / Removal => Rockbox Utility => Topic started by: bpatts on December 20, 2019, 04:36:43 PM

Title: Can't install using Utility on iPod Classic (6th gen) 120gb
Post by: bpatts on December 20, 2019, 04:36:43 PM
Hello folks.

I have tried multiple times to install this using the utility.

First problem I run into is won't autodetect the Mountpoint. But I can select that so I do.

Second issue is the Utility will install the bootloader AND the log shows it installs the app as well as the extras, however, as soon as everything shows completed. I get an error, and is similar to this post- http://forums.rockbox.org/index.php/topic,52698.0.html

The difference being that when I get to this point, I can't use the "Show hidden files/folders" and you should see the .rockbox folder. Copy it over to the iPod and done!" because the folder already has the files in it, but they don't seem to work. I tried dragging new files into the folder in case the install one was corrupt, but that didn't work either. I get the same file not found error.

Any suggestions?
Title: Re: Can't install using Utility on iPod Classic (6th gen) 120gb
Post by: Frankenpod on December 20, 2019, 07:56:41 PM
Which utility are you using?

The one that's now available for download on here, i.e. 1.4.1 ?

Older versions don't work on the 6th gen, so I assume you are using the current version?


When you say you 'select the mountpoint', I assume you are definitely selecting the drive letter for your connected iPod?  Also you are telling it that it's a 6th gen (not accidentally installing 5th gen rockbox)?


And you then go through the full install process, including (critically) the bit where it tells you to reboot the ipod into DFU mode and then wait for it to remount?  (The ipod usually beeps at this point!)

That really should work.  I don't see why it wouldn't, unless you missed one of the steps or there's a hardware issue.

Also, you are starting with a 'clean' ipod, freshly fully restored with iTunes?

And this has the original hard drive, it's not a flash mod?
Title: Re: Can't install using Utility on iPod Classic (6th gen) 120gb
Post by: bpatts on December 20, 2019, 09:59:11 PM
Which utility are you using?

Rockbox Utility 1.4.1

Older versions don't work on the 6th gen, so I assume you are using the current version?

It's a 6th gen, pretty sure they never made a gen 5 in a 120gb. Based on this, I did try the 5th gen option but it wouldn't even start the process

When you say you 'select the mountpoint', I assume you are definitely selecting the drive letter for your connected iPod?  Also you are telling it that it's a 6th gen (not accidentally installing 5th gen rockbox)?

Yes, the mountpoint issue comes up when I click on "Change" and then "Autodetect". I select the drive letter of the iPod.

And you then go through the full install process, including (critically) the bit where it tells you to reboot the ipod into DFU mode and then wait for it to remount?  (The ipod usually beeps at this point!)

Yes, does all that. Goes through the entire thing and looks like it installs everything but just gives an error that can't locate .ipod file or something like that.

That really should work.  I don't see why it wouldn't, unless you missed one of the steps or there's a hardware issue.

I wish I missed a step, that's not the issue, just doesn't work. Before I wiped the iPod,I tested it and still played the music she put on it.

Also, you are starting with a 'clean' ipod, freshly fully restored with iTunes?

Yes, clean iPod, just restored.

And this has the original hard drive, it's not a flash mod?

Yes, original drive. Barely used, my mother in law just gave it to me as she said she used 2-3x when she first bought and then never again. Been in the box for years.

Title: Re: Can't install using Utility on iPod Classic (6th gen) 120gb
Post by: saratoga on December 20, 2019, 10:07:59 PM
Assuming the error is that you're missing the rockbox.ipod file, you have the bootloader installed but not a build of rockbox. Download a build, copy to your player.
Title: Re: Can't install using Utility on iPod Classic (6th gen) 120gb
Post by: bpatts on December 21, 2019, 12:24:27 PM
I'll keep trying to figure it out over the holidays. Thanks!
Title: Re: Can't install using Utility on iPod Classic (6th gen) 120gb
Post by: A11A on December 23, 2019, 06:14:31 AM
Try my steps here: http://forums.rockbox.org/index.php/topic,53106.msg245387.html#msg245387
It looks like installing the bootloader first causes installation to get stuck